
GammaLib - Action #315

Feature # 56 (Closed): CTA response should support diffuse models (skymaps)

Create SpatialMap model class

07/14/2012 09:43 PM - Knödlseder Jürgen

Status: Closed Start date: 02/28/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 8.00 hours

Target version:    

Description

Create spatial model class GModelSpatialMap that represent a skymap as spatial map.

The XML interface should be compliant with the Fermi/LAT interface for spatial maps.

History

#1 - 07/14/2012 09:49 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 07/14/2012 09:50 PM - Knödlseder Jürgen

- Description updated

#3 - 07/14/2012 11:47 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

- Remaining (hours) changed from 8.0 to 0.0

The class GModelSpatialMap has been implemented, including methods for Monte Carlo simulations and function evaluation.

#4 - 07/16/2012 10:12 AM - Knödlseder Jürgen

- Status changed from Closed to In Progress

- % Done changed from 100 to 70

- Remaining (hours) changed from 0.0 to 5.0

I forgot to properly normalize the map. The map should be normalized so that the integral flux (sum over intensity times solid angle) is 1. In that way,

the total flux in the map is measured by the spectrum.

Note that we should do this normalization after loading. The best is thus to create a private method that loads the map, performs the normalization,

and updates the cache. If this is done in one method we're sure that the map and the cache are always compliant.

#5 - 07/17/2012 07:41 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

- Remaining (hours) changed from 5.0 to 0.0

#6 - 07/28/2012 12:53 AM - Knödlseder Jürgen

- Target version deleted (Stage Jean-Baptiste Cayrou)
